package no.valg.valgnatt.database.geografi;

import no.valg.valgnatt.database.GrunnlagsdataMockup;
import no.valg.valgnatt.database.Konstanter;
import no.valg.valgnatt.database.domene.ValgType;

import org.junit.Assert;
import org.junit.BeforeClass;
import org.junit.Test;

public class BydelTest {

    private static GrunnlagsdataMockup gdm;

    @BeforeClass
    public static void initialiser() {
        gdm = new GrunnlagsdataMockup();
        gdm.initialiser(ValgType.ST);
    }

    @Test
    public void beregnFrammoteProsentIaar_Uansett_Null() throws Exception {
        Kommune osloKommune = gdm.getLand().getKommune(Konstanter.OSLO_KNR);
        Bydel bydel = osloKommune.getBydel("1");
        Assert.assertEquals(null, bydel.beregnFrammoteProsentIaar());
    }

    @Test
    public void getStemmekretser_Returner0101() throws Exception {
        Kommune osloKommune = gdm.getLand().getKommune(Konstanter.OSLO_KNR);
        Bydel bydel = osloKommune.getBydel("1");
        Assert.assertEquals(osloKommune.getStemmekretser().get("0101"), bydel.getStemmekretser().get("0101"));
    }

    @Test
    public void getOverordnetOmråde_Oslo() throws Exception {
        Bydel bydel = gdm.getLand().getKommune(Konstanter.OSLO_KNR).getBydel("1");
        Assert.assertEquals(gdm.getLand().getKommune(Konstanter.OSLO_KNR), bydel.getOverordnetOmråde());
    }

}